Bug 121662 - piix module won't build
piix module won't build
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-24 19:39 EDT by Darin May
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-28 21:54:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
config file (26.41 KB, text/plain)
2004-04-24 19:41 EDT, Darin May
no flags Details

  None (edit)
Description Darin May 2004-04-24 19:39:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
When I try to build a kernel I get a missing at_piix module error:

...
  BUILD   arch/i386/boot/bzImage
Root device is (22, 66)
Boot sector 512 bytes.
Setup is 2554 bytes.
System is 1905 kB
Kernel: arch/i386/boot/bzImage is ready
[root@localhost linux-2.6.5-1.327]# make modules
make[1]: `arch/i386/kernel/asm-offsets.s' is up to date.
  CC [M]  drivers/ide/pci/piix.o
  CC [M]  drivers/net/dummy.o
  Building modules, stage 2.
  MODPOST
  CC      drivers/net/dummy.mod.o
  LD [M]  drivers/net/dummy.ko
  CC      drivers/ide/pci/piix.mod.o
  LD [M]  drivers/ide/pci/piix.ko
[root@localhost linux-2.6.5-1.327]# make modules_install
  INSTALL drivers/net/dummy.ko
  INSTALL drivers/ide/pci/piix.ko
if [ -r System.map ]; then /sbin/depmod -ae -F System.map 
2.6.5-1.327custom; fi[root@localhost linux-2.6.5-1.327]# make install
make[1]: `arch/i386/kernel/asm-offsets.s' is up to date.
  CHK     include/linux/compile.h
Kernel: arch/i386/boot/bzImage is ready
sh /usr/src/linux-2.6.5-1.327/arch/i386/boot/install.sh
2.6.5-1.327custom arch/i386/boot/bzImage System.map ""
No module ata_piix found for kernel 2.6.5-1.327custom, aborting.
mkinitrd failed
make[1]: *** [install] Error 1
make: *** [install] Error 2
[root@localhost linux-2.6.5-1.327]#



Version-Release number of selected component (if applicable):
2.6.5-1.327 kernel

How reproducible:
Always

Steps to Reproduce:
See above
    

Actual Results:  Failed compile

Expected Results:  build kernel and install

Additional info:
Comment 1 Darin May 2004-04-24 19:41:20 EDT
Created attachment 99680 [details]
config file

Here's the file I use to build.  This file has the piix module set to be loaded
not built-in -- it also fails in that mode.
Comment 2 Darin May 2004-04-24 20:03:53 EDT
More info:

I didn't use the pre-built .config file, just ran make xconfig after a
make mrproper to generate the initial .config file.

I assume the new xconfig scripts attempt to reduce the compile time by
only deleting known, used devices.
Comment 3 Jeremy Katz 2004-04-28 21:54:47 EDT
You need to include ata_piix, not piix as a module.  
Comment 4 Darin May 2004-04-28 22:30:43 EDT
Why didn't make xconfig do the right thing then?  it seems that there's a module/driver 
discovery problem when generating a .config file from scratch.

I did a "make mrproper" followed by a "make xconfig", saved the generated config and 
tried to compile.  I thought that the .config should be complete and not needing manual 
tweaking.

Note You need to log in before you can comment on or make changes to this bug.